StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Functions
starpu_task_list.h File Reference
`#include <starpu_task.h>`
`#include <starpu_util.h>`

Go to the source code of this file.

## Data Structures
struct | starpu_task_list

## Functions
static STARPU_INLINE void | starpu_task_list_init (struct starpu_task_list *list)
static STARPU_INLINE void | starpu_task_list_push_front (struct starpu_task_list *list, struct starpu_task *task)
static STARPU_INLINE void | starpu_task_list_push_back (struct starpu_task_list *list, struct starpu_task *task)
static STARPU_INLINE struct starpu_task * | starpu_task_list_front (struct starpu_task_list *list)
static STARPU_INLINE struct starpu_task * | starpu_task_list_back (struct starpu_task_list *list)
static STARPU_INLINE int | starpu_task_list_empty (struct starpu_task_list *list)
static STARPU_INLINE void | starpu_task_list_erase (struct starpu_task_list *list, struct starpu_task *task)
static STARPU_INLINE struct starpu_task * | starpu_task_list_pop_front (struct starpu_task_list *list)
static STARPU_INLINE struct starpu_task * | starpu_task_list_pop_back (struct starpu_task_list *list)
static STARPU_INLINE struct starpu_task * | starpu_task_list_begin (struct starpu_task_list *list)
static STARPU_INLINE struct starpu_task * | starpu_task_list_end (struct starpu_task_list *list STARPU_ATTRIBUTE_UNUSED)
static STARPU_INLINE struct starpu_task * | starpu_task_list_next (struct starpu_task *task)